/*
 * @(#)FingerExample.java
 *
 * Copyright (c) JSCAPE LLC.
 *
 * This software is the confidential and proprietary information of
 * JSCAPE. ("Confidential Information").  You shall not disclose such
 * Confidential Information and shall use it only in accordance with
 * the terms of the license agreement you entered into with JSCAPE.
 */

import com.jscape.inet.finger.*;
import java.io.*;

public class FingerExample {
    
    public void query(String hostname, String command) throws FingerException {
        Finger finger = new Finger(hostname);
        System.out.println(finger.query(command));
    }
    
    public static void main(String[] args) {
        String hostname;
        String command;
        
        try {
            BufferedReader reader = new BufferedReader(new InputStreamReader(System.in));
            System.out.print("Enter Finger hostname (e.g. domain.com): ");
            hostname = reader.readLine();
            System.out.print("Enter User (e.g. jsmith): ");
            command = reader.readLine();
            FingerExample example = new FingerExample();
            example.query(hostname,command);
        }
        catch(Exception e) {
            e.printStackTrace();
        }
    }
}

